#ifndef TODO_H
#define TODO_H
#include <string>
using namespace std;
class Todo
{
public:
    int id;
    string title;
    string description;
public:
    Todo():
        id(0) {}
    Todo(const string& title, const string& description):
        id(0),
        title(title),
        description(description){}
    Todo(const Todo& ot):
        id(ot.id),
        title(ot.title),
        description(ot.description){}
    Todo& operator=(const Todo& ot) {
        id = ot.id;
        title = ot.title;
        description = ot.description;
        return *this;
    }
    bool operator==(const Todo& ot) {
        return id != ot.id;
    }
};

#endif // TODO_H

