#ifndef TODOLISTWIDGET_H
#define TODOLISTWIDGET_H
#include "todomanager.h"
#include "todowidget.h"
#include <QtWidgets>

class ToDoListWidget : public QWidget
{
    Q_OBJECT
private:
    TodoManager& manager;
    QTableView* todoTableView;
    TodoWidget* todoWidget;
    QPushButton* editButton;
private slots:
    void addTodo();
    void editTodo();
    void todoSelectionChanged(const QItemSelection& newSelection, const QItemSelection& oldSelection);
public:
    ToDoListWidget(TodoManager& m, QWidget *parent = 0);
    ~ToDoListWidget();
};

#endif // TODOLISTWIDGET_H
