#ifndef TODOMANAGER_H
#define TODOMANAGER_H
#include "todo.h"
#include <vector>
#include <QObject>

using namespace std;

class TodoManager: public QObject
{
    Q_OBJECT
private:
    vector<Todo> _tasks;
signals:
    void todoAdded(const Todo& task);
    void todoUpdated(const Todo& task);
public:
    TodoManager() { }
    void save(Todo& task);
    const vector<Todo>& tasks()
    {
        return _tasks;
    }
};

#endif // TODOMANAGER_H

