#ifndef TODOWIDGET_H
#define TODOWIDGET_H
#include "todomanager.h"
#include "todo.h"
#include <QtWidgets>

class TodoWidget : public QWidget
{
    Q_OBJECT

private:
    QLineEdit* titleEdit;
    QLineEdit* descriptionEdit;
    TodoManager& manager;
    Todo todo;
private slots:
     void saveTodo();

public:
    TodoWidget(TodoManager& m, QWidget *parent = 0);
    ~TodoWidget();
    void setTodo(Todo todo);
};

#endif // TODOLISTWIDGET_H
